Change the sender name

PATCH
/email-providers/{providerId}/sender-name

Updates only the sender name of a mailbox (any type), without retesting credentials. Note: Outlook always displays the name of the Microsoft account.

Authorization

apiKey
Authorization<token>

Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.

In: header

Path Parameters

providerId*string

Email provider id.

Match^[0-9a-fA-F]{24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/email-providers/6650f1a2b839d80011c5a0aa/sender-name" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "senderName": "Marie from Acme"  }'
{  "success": true,  "id": "6650f1a2b839d80011c5a0f1"}